Please select Into the mobile phone version | Continue to access the computer ver.
Which is a more reliable iOS version of DJI Go 4 app, V4.2.14 or ...
513 2 2018-8-9
Uploading and Loding Picture ...(0/1)
o(^-^)o
Ronnie.Choy
Second Officer
Flight distance : 760869 ft
Singapore
Offline

Which is a more reliable iOS version of DJI Go 4 app, V4.2.14 or V4.2.24?

I am a relatively new Spark owner and I used to fly worry-free with V4.2.12 (I think). I fly in the sky, in open fields, over the sea, over the beach, etc. The app auto-updated in my iPhone to V4.2.14. And later I disccovered this forum and started to read .... only then I realised the potential of the drones flying away due to firmwares, DJI Go 4 app, etc. I have done my best in ensuring safe flights by reading the manual, running through the safety checklist, watching the safety videos, and Youtubes on how to prevent fly-aways. But the uncertain part from the software somehow dampens the mood I used to have.

I still fly, but no longer that carefree anymore. I have reservations flying higher, further or over waters now. Sometimes I just hack it and fly how a Spark is supossed to be flown (within safety limits, of course). Ooopss ... too much digression, but I hope you can understand how this newbie feels.

I am currently having the lastest firmware for the AC and RC. I hope to hear your opinion which version of iOS DJI Go 4 app is more reliable, V4.2.14 or V4.2.24?

Please do not ask me to go for any other versions (even though might be more reliable) because being iOS, I can only choose to remain at V4.2.14 or update to the latest V.4.2.24.

Thank you.
2018-8-9
Use props
bjr981s
First Officer
Flight distance : 125591 ft
  • >>>
Australia
Offline

I always make it a policy to stick within the Supported envelope of DJI Go 4 and the FW within the HW specs that are supported by DJI.

The latest version of all have full support of OTG and it works flawlessly. I use iPhone X and iPad Pros. for IOS connection

I use CrystalSky monitors for android support but keep the DJI GO 4 app at the supported version of the Crystal sky FW updates themselves so currently is back revision level.

DJI held the crystalsky updates to the last version that had OTG support. They have yet to update the CrystalSky FW to the latest OTG supported version. Once that is available I will update my Crystalskys.

p.s.

A lot of the issues you read about are people that use incompatible versions of FW and GO 4 App. DJI do "limited" testing within current and backlevel to ensure some compatability but when you talk about many versions you are asking for trouble. Those "Gaps" are never tested by DJI.
2018-8-10
Use props
Ronnie.Choy
Second Officer
Flight distance : 760869 ft
Singapore
Offline

bjr981s Posted at 2018-8-10 04:32
I always make it a policy to stick within the Supported envelope of DJI Go 4 and the FW within the HW specs that are supported by DJI.

The latest version of all have full support of OTG and it works flawlessly. I use iPhone X and iPad Pros. for IOS connection

Thanks for your advice
2018-8-10
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules